(* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* pxg.inc.pas - Include file used by all experts generated
* by the Pascal Expert Generator.
*
*
* 4-Oct-85 S.H.Smith
*
*)



(* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* ask a yes/no question
*
* returns true if the answer is yes
*
*)

function ask(question: packed array[one..len :integer] of char): boolean;
var
   answer : char;
   i   : integer;
begin
   repeat
      for i := one to len do write(question[i]); write(' (Y/N) ');

      readln(answer);
      writeln(answer);

      if not (answer in ['Y','N','y','n']) then
         writeln('Please answer the question!');

   until answer in ['Y','N','y','n'];

ask := answer in ['Y','y'];
end;



(* * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*
* make a conclusion
*
*)

procedure conclude(conc: packed array[one..len :integer] of char);
var i : integer;
begin
   writeln;
   write('Conclusion: ');
   for i := one to len do
      write( conc[i]);
   writeln;
   writeln;
end; { conclude }


{%%%%%%%%%%%%%%%%%%%%%%%%%%%%% end of pxg.inc.pas %%%%%%%%%%%%%%%%%%%%%%%%%%%%%}
